package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.FoodSpecsMapper;
import com.ruoyi.system.domain.FoodSpecs;
import com.ruoyi.system.service.IFoodSpecsService;

/**
 * 规格组 Service 业务层处理
 *
 * @author ruoyi
 * @date 2026-07-15
 */
@Service
public class FoodSpecsServiceImpl extends ServiceImpl<BaseMapper<FoodSpecs>, FoodSpecs> implements IFoodSpecsService
{
    @Autowired
    private FoodSpecsMapper foodSpecsMapper;

    @Override
    public FoodSpecs selectFoodSpecsById(Long id)
    {
        return foodSpecsMapper.selectFoodSpecsById(id);
    }

    @Override
    public List<FoodSpecs> selectFoodSpecsList(FoodSpecs foodSpecs)
    {
        return foodSpecsMapper.selectFoodSpecsList(foodSpecs);
    }

    @Override
    public int insertFoodSpecs(FoodSpecs foodSpecs)
    {
        return foodSpecsMapper.insertFoodSpecs(foodSpecs);
    }

    @Override
    public int updateFoodSpecs(FoodSpecs foodSpecs)
    {
        return foodSpecsMapper.updateFoodSpecs(foodSpecs);
    }

    @Override
    public int deleteFoodSpecsByIds(Long[] ids)
    {
        return foodSpecsMapper.deleteFoodSpecsByIds(ids);
    }

    @Override
    public int deleteFoodSpecsById(Long id)
    {
        return foodSpecsMapper.deleteFoodSpecsById(id);
    }
}
